using System;

internal sealed class Delegate333 : MulticastDelegate
{
	public extern void Invoke(object object_0, object object_1, object object_2);

	public static void smethod_0(object object_0, object object_1, object object_2, Delegate333 delegate333_1)
	{
		delegate333_1(object_0, object_1, object_2);
	}

	public extern Delegate333(object object_0, IntPtr intptr_0);

	static Delegate333()
	{
		Class10.smethod_13(typeof(Delegate333).TypeHandle);
	}

	internal static Delegate333 delegate333_0;
}
